Bug 458408 - Review Request: vttest - Test the compatibility of so-called "VT100-compatible" terminals
Review Request: vttest - Test the compatibility of so-called "VT100-compatibl...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-07 21:39 EDT by Sindre Pedersen Bjørdal
Modified: 2014-01-21 08:51 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-01 14:20:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sindre Pedersen Bjørdal 2008-08-07 21:39:16 EDT
Spec URL: http://sindrepb.fedorapeople.org/packages/vttest.spec
SRPM URL: http://sindrepb.fedorapeople.org/packages/vttest-20071216-1.fc9.src.rpm

Description:

vttest is a program to test the compatibility (or to demonstrate the
non-compatibility) of so-called "VT100-compatible" terminals.
Comment 1 Jason Tibbitts 2008-08-09 20:50:12 EDT
License seems to be MIT, not BSD.  It's just the "  Old Style with legal disclaimer" from http://fedoraproject.org/wiki/Licensing/MIT with the MIT references removed or replaced.

You probably don't want to use %{__mv} and %{__rm} in %prep but instead want the non-macro versions to match the rest of your spec.

* source files match upstream:
   6c754405c1b9af2a28ba0975058ef8a38da230bc8c8e0874aebcbe2ff24dee7d  
   vttest.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named and is cleanly written
X macros not used consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
X license field should read "MIT".
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper (none)
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   vttest = 20071216-1.fc10
   vttest(x86-64) = 20071216-1.fc10
  =

  vttest-debuginfo-20071216-1.fc10.x86_64.rpm
   vttest-debuginfo = 20071216-1.fc10
   vttest-debuginfo(x86-64) = 20071216-1.fc10
  =

* %check is not present; no test suite upstream.
  I ran this manually in the mock chroot and it seems to work fine.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.
Comment 2 Sindre Pedersen Bjørdal 2008-08-10 05:11:22 EDT
Updated: 

- License change to MIT
- Changed macro usage in %prep

Spec URL: http://sindrepb.fedorapeople.org/packages/vttest.spec
SRPM URL:
http://sindrepb.fedorapeople.org/packages/vttest-20071216-2.fc9.src.rpm
Comment 3 Miroslav Lichvar 2008-08-10 05:39:53 EDT
One detail, better source URL to use is ftp://invisible-island.net/vttest/vttest-%{version}.tgz

so we won't have different versions saved in file with the same name.
Comment 4 Sindre Pedersen Bjørdal 2008-08-10 18:45:25 EDT
Updated: 

- Update source url

Spec URL: http://sindrepb.fedorapeople.org/packages/vttest.spec
SRPM URL:
http://sindrepb.fedorapeople.org/packages/vttest-20071216-3.fc9.src.rpm
Comment 5 Jason Tibbitts 2008-08-17 11:01:22 EDT
Looks good to me now.

APPROVED
Comment 6 Sindre Pedersen Bjørdal 2008-08-17 12:38:54 EDT
New Package CVS Request
=======================
Package Name: vttest
Short Description: Test the compatibility of so-called "VT100-compatible" terminals
Owners: sindrepb
Branches: F-8 F-9 EL-4 EL-5
InitialCC:
Comment 7 Kevin Fenzi 2008-08-23 14:01:19 EDT
cvs done.
Comment 8 Christopher Meng 2014-01-19 20:29:50 EST
Package Change Request
======================
Package Name: vttest
New Branches: epel7
Owners: cicku maxamillion
Comment 9 Gwyn Ciesla 2014-01-21 08:51:11 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.